%global momorel 1
%global enable_debug 1
%global _sbindir /sbin

Name: nilfs-utils
Version: 2.0.13
Release: %{momorel}m%{?dist}
Summary: Utilities for NILFS filesystems
License: GPLv2+
Group: System Environment/Base
URL: http://www.nilfs.org/
Source0: http://www.nilfs.org/download/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: nilfs-utils-2.0.6-no_ldconfig.patch
BuildPreReq: readline-devel >= 5.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Utilities for manipulating NILFS filesystems.

%package devel
Summary: Development libraries and headers for developing nilfs tools.
Group: Development/Libraries

%description devel
Development libraries and headers for developing nilfs tools.

%prep
%setup -q

%patch0 -p1 -b .no_ldconfig

%build
%configure \
%if %{enable_debug}
        --enable-debug \
%else
        --disable-debug \
%endif
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_libdir}/libnilfs.so.0*
%{_sbindir}/mkfs.nilfs2
%{_sbindir}/mount.nilfs2
%{_sbindir}/nilfs_cleanerd
%{_sbindir}/umount.nilfs2
%{_sysconfdir}/nilfs_cleanerd.conf
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
%{_includedir}/nilfs.h
%{_includedir}/nilfs_fs.h
%{_libdir}/libnilfs.a
%{_libdir}/libnilfs.so

%changelog
* Thu Jun 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.13-1m)
- update 2.0.13

* Sat Apr 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.12-1m)
- update 2.0.12

* Wed Feb 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.6-4m)
- update sources, maybe tarball was changed...

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.6-3m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.6-2m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Sat Oct 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.6-1m)
- update 2.0.6
-- fixed a cleaner bug causing kernel panic for
-- more than 512 snapshots.

* Thu Jul 24 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.5-1m)
- update 2.0.5

* Tue Jul  8 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.4-1m)
- update 2.0.4

* Mon May  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.3-1m)
- update 2.0.3

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.1-1m)
- update 2.0.1-release

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-2m)
- rebuild against gcc43

* Mon Feb 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-1m)
- update 2.0.0-release

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.9.1m)
- update 2.0.0-test9

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.8.2m)
- %%NoSource -> NoSource

* Wed Jan  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.8.1m)
- update 2.0.0-test8

* Sun Dec 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-0.7.3m)
- re-replaced Source...

* Thu Dec  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.7.2m)
- replaced Source...

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.7.1m)
- update 2.0.0-test7

* Wed Nov  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.6.1m)
- update 2.0.0-test6

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.3.1m)
- update 2.0.0-test3

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-0.2.1m)
- Initial Commit
